Gtk_InputDialog(3)

NAME - Gtk_InputDialog

HEADER REQUIRED
#include <gtk--/inputdialog.h&gt;>

BASE CLASSES
Gtk_Dialog(3)

PROPERTIES

axis_list
    Type: Gtk_Widget*

axis_listbox
    Type: Gtk_Widget*

mode_optionmenu
    Type: Gtk_Widget*

close_button
    Type: Gtk_Widget*

save_button
    Type: Gtk_Widget*

axis_items[GDK_AXIS_LAST]
    Type: Gtk_Widget*

current_device
    Type: guint32

keys_list
    Type: Gtk_Widget*

keys_listbox
    Type: Gtk_Widget*

     .IP

PUBLIC MEMBER INDEX
    signal void  enable_device(guint32);
    signal void  disable_device(guint32);
    Gtk_InputDialog();
    Gtk_InputDialog(GtkInputDialog *castitem);
    ~Gtk_InputDialog();
    Gtk_List*  get_axis_list();
    Gtk_Item**  get_axis_items();
    Gtk_OptionMenu*  get_mode_optionmenu();
    Gtk_Button*  get_close_button();
    Gtk_Button*  get_save_button();
    const Gtk_List*  get_axis_list() const;
    const Gtk_Item*const *  get_axis_items() const;
    const Gtk_OptionMenu*  get_mode_optionmenu() const;
    const Gtk_Button*  get_close_button() const;
    const Gtk_Button*  get_save_button() const;
    GtkInputDialog*  gtkobj();
    const GtkInputDialog*  gtkobj() const;
    static bool  isGtkInputDialog(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkInputDialog  BaseObjectType;
    typedef GtkInputDialogClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  enable_device_impl(guint32 p1);
    virtual void  disable_device_impl(guint32 p1);
    Gtk_List  axis_list_;
    Gtk_Item * axis_items_[GDK_AXIS_LAST];
    mutable Gtk_ObjectHandle  mode_optionmenu_;
    mutable Gtk_ObjectHandle  close_button_;
    mutable Gtk_ObjectHandle  save_button_;

PRIVATE MEMBER INDEX
    static CppClassType  input_dialog_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS